MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::BendSimpleCo Class Reference

The BendSimpleCo class describes an bend internal coordinate of a molecule. More...

`#include <simple.h>`

Inheritance diagram for sc::BendSimpleCo:

List of all members.

## Public Member Functions

| BendSimpleCo (const BendSimpleCo &)
| BendSimpleCo (const char *, int, int, int)
| This constructor takes a string containing a label, and three integers a, b, and c which give the indices of the atoms involved in the angle abc.
| BendSimpleCo (const Ref< KeyVal > &)
| The KeyVal constructor.
const char * | ctype () const
| Always returns the string "BEND".
double | radians () const
| Returns the value of the angle abc in radians.
double | degrees () const
| Returns the value of the angle abc in degrees.
double | preferred_value () const
| Returns the value of the angle abc in degrees.

## Detailed Description

The BendSimpleCo class describes an bend internal coordinate of a molecule.

The input is described in the documentation of its parent class SimpleCo.

Designating the three atoms as , , and and their cartesian positions as , , and , the value of the coordinate, , is given by

## Constructor & Destructor Documentation

sc::BendSimpleCo::BendSimpleCo | ( | const char * | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |  |

This constructor takes a string containing a label, and three integers a, b, and c which give the indices of the atoms involved in the angle abc.

Atom numbering begins at atom 1, not atom 0.

sc::BendSimpleCo::BendSimpleCo | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

This calls the SimpleCo keyval constructor with an integer argument of 3.

The documentation for this class was generated from the following file:

- simple.h